در حال بارگذاری…
Update one of your wake-up records.
| Permission | Description |
|---|---|
tracker_wakeups.update | Update wake-up records |
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
tracker-wakeup-id | int | Yes | ID of the wake-up record | 34 |
| Name | Type | Required | Description |
|---|---|---|---|
tracked_at | date | No | When the wake-up happened |
notes | string | No | Optional notes (max 2000); send null to clear them |
All parameters are optional. If omitted, they are not updated.
PUT /api/v1/tracker/wakeups/34
{
"notes": null
}
{
"data": { /* tracker wakeup resource */ }
}
| Status | Description | Reference |
|---|---|---|
| 422 | Validation error | Validation error |
| 401 | Unauthorized | Authentication error |
| 403 | Forbidden (no permission) | Permission error |
| 404 | Not found | Not-found error |